メインコンテンツへスキップ
GET
/
folder_locks
cURL
curl -i -X GET "https://api.box.com/2.0/folder_locks?folder_id=33552487093" \
     -H "authorization: Bearer <ACCESS_TOKEN>"
client.folder_locks.get_folder_locks(folder.id)
await client.folderLocks.getFolderLocks({
folderId: folder.id,
} satisfies GetFolderLocksQueryParams);
try await client.folderLocks.getFolderLocks(queryParams: GetFolderLocksQueryParams(folderId: folder.id))
client.getFolderLocks().getFolderLocks(new GetFolderLocksQueryParams(folder.getId()))
await client.FolderLocks.GetFolderLocksAsync(queryParams: new GetFolderLocksQueryParams(folderId: folder.Id));
{
  "entries": [
    {
      "folder": {
        "id": "12345",
        "type": "folder",
        "etag": "1",
        "sequence_id": "3",
        "name": "Contracts"
      },
      "id": "12345678",
      "type": "folder_lock",
      "created_by": {
        "id": "11446498",
        "type": "user"
      },
      "created_at": "2020-09-14T23:12:53Z",
      "locked_operations": {
        "move": true,
        "delete": true
      },
      "lock_type": "freeze"
    }
  ],
  "limit": "1000",
  "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
}
{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}
{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}
{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}
{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}
このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。Box SDKのバージョニング戦略について詳しく学ぶ。」

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

クエリパラメータ

folder_id
string
必須

フォルダを表す一意の識別子。

フォルダIDを確認するには、ウェブアプリケーションでこのフォルダにアクセスして、URLからIDをコピーします。たとえば、URLがhttps://*.app.box.com/folder/123の場合、folder_id123です。

Boxアカウントのルートフォルダは常にID 0で表されます。

レスポンス

フォルダに適用されたすべてのフォルダロックの詳細 (ロックの種類やロックを適用したユーザーを含む) を返します。

フォルダロックのリスト。

entries
フォルダロック · object[]

フォルダロックのリスト。

limit
string

これらのエントリで使用された制限値。許容される最大値を超えていない限り、クエリパラメータのlimitと等しくなります。最大値はAPIによって異なります。

:

"1000"

next_marker
string | null

次の検索結果ページの開始場所のマーカー。

:

"JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"

最終更新日 2026年1月23日